@import "fonts";
@import "reset";
@import "variables";
@import "mixin";

.container {
    max-width:1050px;
    margin: auto;
    @media (max-width:1200px) {
        max-width: 715px;
    }

    @media (max-width:768px) {
        max-width: 90%;
    }
}

a{
    text-decoration: none;
}

li {
    list-style: none;
}

.header_fixed {
    background: linear-gradient(253deg, #FFEE32 -13.48%, #D6D6D6 125.48%);
    .block__nav-bar {
        display: none;
        @media (max-width:1200px) {
            display: flex;
            justify-content: space-between;
            padding:38px 0;
        }
        .nav-bar {
            padding: 20px;
            gap: 12px;
            border-radius: 20px;
            border: 2px solid #FFF;
        }
    }
    .header__wrraper{
        display: flex;
        justify-content: space-between;
        padding: 18px 0 20px;

        @media (max-width:1200px) {
            display: none;
        }
    }

        .header__nav{
            @include space-between;

            ul {
                display: flex;
                align-items: center;
                justify-content: center;
                gap: 20px;

                @media  (max-width:1200px) {
                    display: none;
                }


                .list{
                    @include border;

                    .list-item__link {
                        @include center; 
                        gap: 12px;
                        font-size: 1rem;
                        color: var(--text-white);
                        font-family: Manrope;
                        font-style: normal;
                        font-weight: 700;
                        line-height: normal;
                    }
                }

            }
        }

        #header-scroll {
            position: fixed;
            width: 100%;
            top: 0;
            z-index: 10;
            transition-duration: 3s;
            
            background-color: #202020;
            .header_wrraper {
                display: flex;
                justify-content: space-between;
                padding: 18px 0 20px;
                @media (max-width:1200px) {
                    display: none;
                }
            }
            
        }
        
        .header__nav-scroll {
            @include space-between;
            .nav__menu-list {
                @include center;
                gap: 20px;

                .list{
                    @include border;

                    .list-item__link {
                        @include center; 
                        gap: 12px;
                        font-size: 1rem;
                        color: var(--text-white);
                        font-family: Manrope;
                        font-style: normal;
                        font-weight: 700;
                        line-height: normal;
                    }
                }

            }
        }

}

.header-title {
    background: linear-gradient(253deg, #FFEE32 -13.48%, #D6D6D6 125.48%);
    padding: 394px 0 119px;
        .title {
            color: var(--text-white);
            font-family: DynaPuff;
            font-size: 5rem;
            font-style: normal;
            font-weight: 700;
            line-height: normal;

            @media (max-width:768px) {
                font-size: 3rem;
            }
        }

}

.card {
    background: var(--background-black);
    padding-top: 101px;
    overflow: hidden;
    position: relative;
    &::after {
        display: block;
        content: "";
        top: -5%;
        right: 0;
        position: absolute;
        width: 268px;
        height: 512px;
        transform: rotate(-45deg);
        flex-shrink: 0;
        border-radius: 50%;
        border: 1px solid #737373;
        @media (max-width:1200px) {
            right: -15%;
            
        }
        @media (max-width:768px){
            width: 160px;
            height: 310px;
            top: 15%;
            
        }
    }


    &::before {
        display: block;
        content: "";
        top: -5%;
        right: 0;
        position: absolute;
        width: 268px;
        height: 512px;
        transform: rotate(45deg);
        flex-shrink: 0;
        border-radius: 50%;
        border: 1px solid #737373;
        @media (max-width:1200px) {
            right: -15%;
            
        }

        @media (max-width:768px){
            width: 160px;
            height: 310px;
            top: 15%;
            
        }
    }
        .section-card {
            position: relative;
            display: inline-flex;
            flex-direction: column;
            align-items: flex-start;
            gap: 40px;



            h3 {
                color: #FAEB49;
                font-family: DynaPuff;
                font-size: 3rem;
                font-style: normal;
                font-weight: 700;
                line-height: normal;

                @media (max-width:768px){
                    font-size: 2.5rem;
                    width: 60%;
                    z-index: 1;
                }
            }

            .card-text {
                width: 32rem;
                color: var(--text-white);
                font-family: Manrope;
                font-size: 1rem;
                font-style: normal;
                font-weight: 500;
                line-height: normal;
                @media (max-width:768px){
                    font-size: 1rem;
                    width: 50%;
                }
            }
            .section_card-frame {
                display: flex;
                align-items: flex-start;  
                gap: 96px;  
                padding-bottom: 102px;
                font-style: normal;
                font-weight: 700;
                line-height: normal; 
                color: var(--text-white);
                @media (max-width:768px) {
                    width: 60%;
                    gap: 42px;
                }

                span {
                    font-family: DynaPuff;
                    font-size: 3rem;

                    @media (max-width:768px){
                        font-size: 2rem;
                    }
                }
                p {
                    @include text;

                }
            }
    
        }
}

.section__project {
    background: #3C3C3C;
    padding-top: 86px;

    .section__project-mobile{
        border-radius: 24px;
        background: #FFFEF2;
        display: flex;
        padding: 24px 20px;
        flex-direction: column;
        align-items: flex-start;
        gap: 10px;
        width: 100%;

        .item__project-mobile {
            position: relative;
            display: flex;
            justify-content: center;
            align-items: flex-start;
            align-self: stretch;
            width: 100%;
           
            .item-background {
                display: block;
                position: relative;
                width: 100%;
                height: 498px;
                border-radius: 13px;

                @media (max-width:768px) {
                    height: 278px;
                }
            }

            .item-mobile {
                display: block;
                position: absolute;
                z-index: 1;
                height: 100%;
                width: 100%;
            }

            .link-card{
                @include link;
                top: 2%;
                right: 2%;
                z-index: 2;
            }
        }

        h3 {
            color: var(--text-gray);
            font-family: DynaPuff;
            font-size: 2.5rem;
            font-style: normal;
            font-weight: 600;
            line-height: normal;
        }

        p {
            @include text;
            color: var(--text-background-black);
        }
    }
    
.section__project-gallery {

        display: flex;
        justify-content: center;
        align-items: center;
        gap: 40px;
        padding: 63px 0 86px;
        img {
            width: 100%;
            height: 338px;
            object-fit: cover;
            border-radius: 24px;
        }
        .project__gallery-mobile {
            display: flex;
            width: 325px;
            height: 545px;
            padding: 20px;
            flex-direction: column;
            align-items: flex-start;
            gap: 10px;
            flex-shrink: 0;
            border-radius: 24px;
            background: #FFFEF2;

            @media (max-width:768px){
                width: 100%;
                height: 100%;
            }

            &:first-child {
                @media (max-width:768px) {
                    display: none;
                }
            }

            &:last-child{
                @media (max-width:1200px) {
                    display: none;
                }
            }

            .gallery__mobile-link {
                width: 100%;
                position: relative;
            }


            .mobile__link {
                @include link;
                top: 6%;
                right: 9%;
            }

            h3 {
                color: var(--text-gray);
                font-family: DynaPuff;
                font-size: 1.5rem;
                font-style: normal;
                font-weight: 700;
                line-height: normal;
                padding: 20px 0;
            }

            p {
                @include text;
                color: var(--text-background-black);
            }
        }
    }
}

.section__graphics-design {
    background-color: var(--background-black);
    padding: 82px 0 138px;
    h3 {
        color: var(--text-white);
        font-family: DynaPuff;
        font-size: 5rem;
        font-style: normal;
        font-weight: 700;
        line-height: normal;
        padding-bottom: 38px;
    }

    .graphics__design-wrraper{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-gap: 26px;
        padding-bottom: 138px;
        position: relative;
        z-index: 0;

        @media (max-width:768px) {
            display: flex;
            flex-direction: column;
        }
        img {
            width: 100%;
            height: 29rem;
            border-radius: 40px;
            flex-shrink: 0;

            @media (max-width:1200px) {
                height: 325px;
            }
        }
        .block-img {
            position: relative;
            width: 100%;
            &:not(:first-child)::before {
                display: block;
                content: "";
                position: absolute;
                background-color: rgb(117 115 115 / 58%);
                width: 514px;
                height: 99.1%;
                border-radius: 40px;

                @media (max-width:1200px){
                    width: 100%;
                }
                @media (max-width:768px) {
                    width: 100%;
                }
            }
            &:first-child {
                grid-column: span 2;
                    &::before {
                        display: block;
                        content: "";
                        position: absolute;
                        background-color: rgb(117 115 115 / 58%);
                        width: 100%;
                        height: 99.1%;
                        border-radius: 40px;
                }
                    &::after {
                        content: "";
                        display: block;
                        background-image: url(../images/Star.png);
                        position: absolute;
                        z-index: 2;
                        top: 15%;
                        right: 35%;
                        width: 268px;
                        height: 268px;

                        @media (max-width:1200px){
                            background-image: url(../images/Star2.png);
                            width: 227px;
                            height: 227px;
                        }

                        @media (max-width:768px){
                            background-image: url(../images/Star3.png);
                            width: 172px;
                            height: 172px;
                            top: 23%;
                        }

                        @media (max-width:540px) {
                            right: 30%;
                        }

                        @media (max-width:415px) {
                            right: 20%;
                        }
                    }

            }
            &:nth-child(2)::after{
                content: "";
                display: block;
                background-image: url(../images/Butterfly.png);
                position: absolute;
                z-index: 2;
                top: 25%;
                right: 30%;
                width: 187px;
                height: 191.493px;
                
                @media (max-width:1200px){
                    background-image: url(../images/Butterfly2.png);
                    width: 134px;
                    height: 137px;
                    right: 27%;
                }

                @media (max-width:768px) {
                    background-image: url(../images/Butterfly2.png);
                    width: 134px;
                    height: 137px;
                    right: 40%;
                    top: 30%;
                }

                @media (max-width:550px) {
                    right: 37%;
                }

                @media (max-width:500px) {
                    right: 36%;
                }

                @media (max-width:430px) {
                    right: 35%;
                }

                @media (max-width:390px) {
                    right: 33%;
                }

                @media (max-width:350px) {
                    right: 28%;
                }
            }

            &:last-child::after{
                content: "";
                display: block;
                background-image: url(../images/Asterisk.png);
                position: absolute;
                z-index: 2;
                top: 30%;
                right: 35%;
                width: 148px;
                height: 143px;
                @media (max-width:1200px){
                    top: 25%;
                    right: 25%;
                    width: 183px;
                    height: 177px;
                    background-image: url(../images/Asterisk2.png);
                }

                @media (max-width:768px) {
                    background-image: url(../images/Asterisk3.png);
                    width: 148px;
                    height: 143px;
                    right: 37%;
                }

                @media (max-width:460px) {
                    right: 33%;
                }

                @media (max-width:400px) {
                    right: 25%;
                }
            }

        }

    }
}



.text {
    background-image: url(../images/Rectangle.jpg);
    background-size: 100% 100%;
    padding: 303px 0 323px;
    position: relative;
    .block{
        @include center;
        position: absolute;
        background-color: rgb(117 115 115 / 58%);
        width: 100%;
        height: 100%;
        top: 0;
        p {
            font-family: DynaPuff;
            font-size: 2.9rem;
            font-style: normal;
            font-weight: 700;
            line-height: normal;
            color: var(--text-white);
            text-align: center;

            @media (max-width:768px) {
                font-size: 2.5rem;
            }
        }

    }
}

footer {
    background-color: var(--background-black);
    padding: 78px 0 30px;
    .footer__logo {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 45px;
        padding: 42px 0;
        border: 1px solid #F2F2F2;
        border-radius: 139px;

        @media (max-width:1200px) {
            width: 100%;
        }

        @media (max-width:768px) {
            gap: 20px;
        }

        svg {
            @media (max-width:768px) {
                width: 70px;
                height: 70px;
            }
        }

        .footer-logo_text {
            display: flex;
            flex-direction: column;
            justify-content: center;
            gap: 17px;

            @media (max-width:768px) {
                gap: 4px;
            }
        }
        h3 {
            color: var(--text-white);
            text-align: center;
            font-family: DynaPuff;
            font-size: 3rem;
            font-style: normal;
            font-weight: 700;
            line-height: normal;

            @media (max-width:768px) {
                font-size: 18px;
            }
        }

        p {
            color: #FFF;
            font-family: Manrope;
            font-size: 1.5rem;
            font-style: normal;
            font-weight: 500;
            line-height: normal;
            display: flex;
            align-items: center;
            gap: 24px;

            @media (max-width:768px) {
                font-size: 15px;
            }

            svg {
                width: 55px;
                height: 26px;
                @media (max-width:768px) {
                    width: 32px;
                    height: 15px; 
                }
            }
        }
    }

    .footer__nav {
        padding: 163px 0 21px;
        .list {
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 34px;
        }
    }

    p {
        color: var(--text-white);
        text-align: center;
        font-family: Manrope;
        font-size: 1rem;
        font-style: normal;
        font-weight: 500;
        line-height: normal;
         
    }
}
